@echo off
rem  test.bat - batch program to run BIOMOC tests
rem
rem  Usage: test [start [stop]]
rem
rem         where: start = starting test number
rem                 stop = ending test number (may be same as start)
rem
rem         (Note that start and stop are assumed to be within the valid
rem          test range and are assumed to be in ascending order--the
rem          absence of numeric variables in batch files makes error checking
rem          awkward.)
rem
rem  History: 99/03/03 mcrouse
rem
set topdir=..
set data=%topdir%\data
set prog=%topdir%\bin\biomoc.exe
set prognm=biomoc
set divd=---------------------------------------

rem  assign valid test range values as default values
set start=1
set stop=3
rem  if values supplied for start and stop, use those
if not "%1"=="" set start=%1
if not "%2"=="" set stop=%2

echo.
echo %divd%%divd%
echo Begin processing %prognm% test runs %start% to %stop%
echo.
echo NOTE:  Each test will take a few minutes, during which time no output
echo        will be displayed to the screen.
goto test%start%

:test1
set n=1
if exist *.t%n% del *.t%n%
echo.
echo.
echo %divd%%divd%
echo Test run number %n%
copy %data%\input.t%n% input.dat
%prog%
ren *.out *.t%n%
if "%stop%"=="%n%" goto end

:test2
set n=2
if exist *.t%n% del *.t%n%
echo.
echo.
echo %divd%%divd%
echo Test run number %n%
copy %data%\input.t%n% input.dat
%prog%
ren *.out *.t%n%
if "%stop%"=="%n%" goto end

:test3
set n=3
if exist *.t%n% del *.t%n%
echo.
echo.
echo %divd%%divd%
echo Test run number %n%
copy %data%\input.t%n% input.dat
%prog%
ren *.out *.t%n%
if "%stop%"=="%n%" goto end

:end
call %topdir%\test\check %start% %stop%

rem  clear the variables used from the environment
set topdir=
set data=
set prog=
set prognm=
set divd=
set start=
set stop=
set n=
